Mono Colombia

Get tenant account by ID

Retrieves a single tenant account by its ID.

GET
/api/v1/tenant/accounts/{id}
AuthorizationBearer <token>

In: header

Scope: tenant_accounts:readonly

Path Parameters

idstring

The tenant account ID

Match^[A-Za-z]{2,7}_[\w-]{22}$
Example"bbtacc_5tgliBmzjZ6mpQPRbQjfKj"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://breb-participant.sandbox.mono.la/api/v1/tenant/accounts/bbtacc_5tgliBmzjZ6mpQPRbQjfKj"
{
  "balance": {
    "amount": 100000000,
    "currency": "COP"
  },
  "balance_updated_at": "2022-01-01T01:00:00Z",
  "beneficiary": {
    "document_number": "1234567890",
    "document_type": "CC",
    "full_name": "Juan Pérez",
    "type": "natural"
  },
  "currency_code": "COP",
  "id": "bbtacc_5tgliBmzjZ6mpQPRbQjfKj",
  "inserted_at": "2022-01-01T01:00:00Z",
  "number": "1234567890",
  "role": "originator",
  "state": "active",
  "type": "savings_account",
  "updated_at": "2022-01-01T01:00:00Z"
}
{
  "code": "401 Unauthorized",
  "errors": [
    {
      "error_code": "missing_authorization_header",
      "message": "`Authorization` header is missing.",
      "path": null,
      "url": null
    }
  ],
  "id": "log_7MkWaFqvfosB8fzHhb1Eql",
  "message": "Authorization header is missing or invalid."
}
{
  "code": "403 Forbidden",
  "errors": [
    {
      "error_code": "not_authorized",
      "message": "Not authorized to have access to this resource.",
      "path": null,
      "url": null
    }
  ],
  "id": "log_7MkWaFqvfosB8fzHhb1Eql",
  "message": "Not authorized to have access to this resource"
}
{
  "code": "404 Not Found",
  "errors": [
    {
      "error_code": "tenant_account_not_found",
      "message": "Tenant account not found",
      "path": null,
      "url": null
    }
  ],
  "id": "log_7MkWaFqvfosB8fzHhb1Eql",
  "message": "Resource not defined"
}
{
  "code": "500 Internal Server Error",
  "errors": [
    {
      "error_code": "internal_error",
      "message": "An unexpected error occurred",
      "path": null,
      "url": null
    }
  ],
  "id": "log_7MkWaFqvfosB8fzHhb1Eql",
  "message": "Something went wrong on the Server"
}